Topic: no longer able to edit

Hi

We use for a long time with pleasure the forum...but now...
Some  posts (posted by administrator) is suddenly empty, when click on edit the post appear, but is not visible in the view mode.....help????

Kind regards
Anton

Re: no longer able to edit

Hello, which version of php and punbb ?

Re: no longer able to edit

PunBB 1.4.1
PHP 7.0.7

Re: no longer able to edit

antonvanderijke wrote:

PunBB 1.4.1
PHP 7.0.7

For PHP 7.0.7 need only PunBB 1.4.4!

Parserus - BBCode parser
I speak only Russian  :P

Re: no longer able to edit

As Visman said, you need Punbb 1.4.4 for Php 7, and you need to make a little change in include/dblayer/ for punBB to use correctly Php7, take a look here : http://punbb.informer.com/forums/post/155990/#p155990

Re: no longer able to edit

Thank you

My Forum does not automaticly upgrade anymore, and the advise is to upgrade manualy. I downloaded the latest version 1.4.4 but cannot find how to use it as an upgrade...Can yoiu tell me how to do that without losing all my posts and members and all...??

Kind regards...Anton

7 (edited by zetrader 2017-04-07 08:07)

Re: no longer able to edit

The time to make the upgrade to 1.4.4, it would be better to downgrade your php version, to prevent any bug.
Can you downgrade your php version with your web hosting ?
Try it, maybe this way, maybe you could edit post again, and make the upgrade more safely.
Once you made the upgrade to 1.4.4, you can upgrade to php7 and make the change in the file i've mentionned.
PunBB was made initially to support php 5.5 and php 5.6, so downgrade temporarily to php 5.3 or 5.4 would be enough for your PunBB 1.4.1 to work fine.

Re: no longer able to edit

@antonvanderijke, http://punbb.informer.com/forums/post/155108/#p155108

Parserus - BBCode parser
I speak only Russian  :P

Re: no longer able to edit

Thank you all, I am going to try it and let you know if it works....